local function CurGameName()
	return GAMESTATE:GetCurrentGame():GetName()
end

function IsGame(str) return CurGameName() == str end

function GameCompatibleModes()
	local Modes = {
		dance = "Single,Double,Threepanel,Solo,Versus,Routine",
		pump = "Single,Double,HalfDouble,Versus,Routine",
		beat = "5Keys,7Keys,10Keys,14Keys,Keys5Versus,Keys7Versus",
		kb7 = "KB7",
		para = "Single",
		maniax = "Single,Double,Versus",
		popn = "popn-nine,popn-five",
		techno = "Techno4,Techno5,Techno8,TechnoDouble4,TechnoDouble5,TechnoDouble8,TechnoVersus4,TechnoVersus5,TechnoVersus8",
		lights = "Single" -- This Mode is not Supported by Stepmania.
	}
	return Modes[CurGameName()]
end